KConfigSkeleton::ItemPathList Class Reference

`#include <kconfigskeleton.h>`

Inheritance diagram for KConfigSkeleton::ItemPathList:

## Public Member Functions

| ItemPathList (const QString &group, const QString &key, QStringList &reference, const QStringList &defaultValue=QStringList())
void | readConfig (KConfig *config)
void | writeConfig (KConfig *config)
Public Member Functions inherited from KConfigSkeleton::ItemStringList
| ItemStringList (const QString &group, const QString &key, QStringList &reference, const QStringList &defaultValue=QStringList())
void | setProperty (const QVariant &p)
QVariant | property () const

## Detailed Description

Class for handling a path list preferences item.

Definition at line 761 of file kconfigskeleton.h.

## Member Function Documentation

void KConfigSkeleton::ItemPathList::readConfig | ( | KConfig * |  | ) |

virtual

This function is called by KConfigSkeleton to read the value for this setting from a config file.

value.

Reimplemented from KConfigSkeleton::ItemStringList.

Definition at line 823 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemPathList::writeConfig | ( | KConfig * |  | ) |

virtual

This function is called by KConfigSkeleton to write the value of this setting to a config file.

Implements KConfigSkeletonItem.

Definition at line 835 of file kconfigskeleton.cpp.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys